org.apache.cassandra.thrift

## Class Cassandra.Client.Factory

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.Client.Factory

All Implemented Interfaces:
  org.apache.thrift.TServiceClientFactory<Cassandra.Client>

Enclosing class:
  Cassandra.Client

    public static class Cassandra.Client.Factory
    extends java.lang.Object
    implements org.apache.thrift.TServiceClientFactory<Cassandra.Client>

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Cassandra.Client` `getClient(org.apache.thrift.protocol.TProtocol prot)`
`Cassandra.Client` `getClient(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### getClient

    public Cassandra.Client getClient(org.apache.thrift.protocol.TProtocol prot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<Cassandra.Client>`

#### getClient

    public Cassandra.Client getClient(org.apache.thrift.protocol.TProtocol iprot,
                                      org.apache.thrift.protocol.TProtocol oprot)

Specified by:
  `getClient` in interface `org.apache.thrift.TServiceClientFactory<Cassandra.Client>`